Package com.google.android.exoplayer2.util

## Class BundleUtil

- java.lang.Object
- - com.google.android.exoplayer2.util.BundleUtil

-     public final class BundleUtil
      extends Object

  Utilities for `Bundle`.

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static IBinder` | `getBinder​(Bundle bundle, String key)` | Gets an `IBinder` inside a `Bundle` for all Android versions.
    `static void` | `putBinder​(Bundle bundle, String key, IBinder binder)` | Puts an `IBinder` inside a `Bundle` for all Android versions.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getBinder

          @Nullable
          public static IBinder getBinder​(Bundle bundle,
                                          @Nullable
                                          String key)

      Gets an `IBinder` inside a `Bundle` for all Android versions.
      Parameters:
        `bundle` - The bundle to get the `IBinder`.
        `key` - The key to use while getting the `IBinder`.
      Returns:
        The `IBinder` that was obtained.

    - #### putBinder

          public static void putBinder​(Bundle bundle,
                                       @Nullable
                                       String key,
                                       @Nullable
                                       IBinder binder)

      Puts an `IBinder` inside a `Bundle` for all Android versions.
      Parameters:
        `bundle` - The bundle to insert the `IBinder`.
        `key` - The key to use while putting the `IBinder`.
        `binder` - The `IBinder` to put.